Name:           ocaml-gpr
Version:        1.0.2
Release:        %mkrel 7
Summary:        Efficient Gaussian Process Regression in OCaml
License:        LGPL-2.1+ with OCaml linking exception
Group:          Development/Other
URL:            https://bitbucket.org/mmottl/gpr
Source0:        https://bitbucket.org/mmottl/gpr/downloads/gpr-%{version}.tar.gz
Patch0:         gpr-1.0.2-upstream-build-fix-wrt-lacaml.patch
BuildRequires:  ocaml-findlib
BuildRequires:  ocaml-janest-core-devel
BuildRequires:  ocaml-gsl-devel
BuildRequires:  ocaml-lacaml-devel
BuildRequires:  texlive-dist
Requires:       ocaml-janest-core
Requires:       ocaml-lacaml
Requires:       ocaml-gsl

%description
This OCaml-library, which also comes with an elaborate example application,
implements some of the newest approximation algorithms (e.g. SPGP) for
scalable Gaussian process regression for arbitrary covariance functions.

Here is an example graph showing the fit of such a sparse Gaussian process
to a nonlinear function:
http://cdn.bitbucket.org/mmottl/gpr/downloads/fit.png

%package        devel
Summary:        Development files for %{name}
Group:          Development/Other
Requires:       %{name} = %{version}-%{release}
Requires:       ocaml-janest-core-devel
Requires:       ocaml-lacaml-devel
Requires:       ocaml-gsl-devel

%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.

%prep
%setup -q -n gpr-%{version}
%patch0 -p1

%build
sh configure \
    --prefix %{_prefix} \
    --libdir %{_libdir} \
    --libexecdir %{_libexecdir} \
    --exec-prefix %{_exec_prefix} \
    --bindir %{_bindir} \
    --sbindir %{_sbindir} \
    --mandir %{_mandir} \
    --datadir %{_datadir} \
    --localstatedir %{_localstatedir} \
    --sharedstatedir %{_sharedstatedir} \
    --docdir %{_docdir}/%{name}-devel/ \
    --destdir %{buildroot}

make
make doc

%install
export DESTDIR=%{buildroot}
export OCAMLFIND_DESTDIR=%{buildroot}/%{_libdir}/ocaml
mkdir -p $OCAMLFIND_DESTDIR/gpr
make install

%files
%doc README.md COPYING.txt AUTHORS.txt CHANGES.txt GPL.txt LGPL.txt
%dir %{_libdir}/ocaml/gpr
%{_libdir}/ocaml/gpr/META
%{_libdir}/ocaml/gpr/*.cmi
%{_libdir}/ocaml/gpr/*.cma
%{_libdir}/ocaml/gpr/*.cmxs
%{_bindir}/ocaml_gpr

%files devel
%doc test/
%{_docdir}/%{name}-devel
%{_libdir}/ocaml/gpr/*.a
%{_libdir}/ocaml/gpr/*.cmxa
%{_libdir}/ocaml/gpr/*.mli
%{_libdir}/ocaml/gpr/*.ml


%changelog
* Wed Oct 15 2014 umeabot <umeabot> 1.0.2-7.mga5
+ Revision: 749219
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.0.2-6.mga5
+ Revision: 683042
- Mageia 5 Mass Rebuild

* Thu Dec 12 2013 malo <malo> 1.0.2-5.mga4
+ Revision: 556470
- Build requires texlive-dist
- add upstream patch to fix compilation with lacaml

  + umeabot <umeabot>
    - Mageia 4 Mass Rebuild

* Sat Apr 13 2013 malo <malo> 1.0.2-3.mga3
+ Revision: 410055
- add missing requires

* Sun Jan 13 2013 umeabot <umeabot> 1.0.2-2.mga3
+ Revision: 361407
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Nov 25 2012 blue_prawn <blue_prawn> 1.0.2-1.mga3
+ Revision: 321682
- build requires pdflatex
- build requires devel deps
- imported package ocaml-gpr

